| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions
Tp::DebugReceiver Class Reference
Client-side proxies

The DebugReceiver class provides a D-Bus proxy for a Telepathy Debug object. More...

`#include <TelepathyQt/DebugReceiver>`

Inherits Tp::StatefulDBusProxy.

List of all members.

## Signals

- void newDebugMessage (const Tp::DebugMessage &message)

## Public Member Functions

- virtual ~DebugReceiver ()
- PendingDebugMessageList * fetchMessages ()
- PendingOperation * setMonitoringEnabled (bool enabled)

## Static Public Member Functions

- static DebugReceiverPtr create (const QString &busName, const QDBusConnection &bus=QDBusConnection::sessionBus())

## Static Public Attributes

- static const Feature FeatureCore

## Protected Member Functions

- DebugReceiver (const QDBusConnection &bus, const QString &busName)

## Detailed Description

The DebugReceiver class provides a D-Bus proxy for a Telepathy Debug object.

A Debug object provides debugging messages from services.

## Constructor & Destructor Documentation

Tp::DebugReceiver::~DebugReceiver | ( |  | ) | `[virtual]`

Tp::DebugReceiver::DebugReceiver | ( | const QDBusConnection & | bus,
|  | const QString & | busName
| ) |  | `[protected]`

## Member Function Documentation

DebugReceiverPtr Tp::DebugReceiver::create | ( | const QString & | busName,
|  | const QDBusConnection & | bus = `QDBusConnection::sessionBus()`
| ) |  | `[static]`

PendingDebugMessageList * Tp::DebugReceiver::fetchMessages | ( |  | ) |

Retrieves buffered debug messages.

This method returns a list of buffered debug messages. Depending on the service side implementation, this may not be the entire list of all messages received during the service's lifetime. Use monitoring instead for getting all the messages being streamed in realtime.

Returns:
  A pending operation returning a list of buffered debug messages when finished.

See also:
  setMonitoringEnabled

PendingOperation * Tp::DebugReceiver::setMonitoringEnabled | ( | bool | enabled | ) |

Enables or disables the emission of newDebugMessage.

This function either enables or disables the emission of newDebugMessage. If monitoring is enabled, everytime a message will be received, newDebugMessage will be emitted carrying the new message.

Monitoring should be disabled when not needed, as it generates a high amount of traffic on the bus. It is always disabled by default.

This method requires FeatureCore to be enabled.

Parameters:

  enabled | Whether to enable or disable monitoring.

Returns:
  A pending operation returning whether the operation succeeded or not.

See also:
  newDebugMessage

void Tp::DebugReceiver::newDebugMessage | ( | const Tp::DebugMessage & | msg | ) | `[signal]`

Emitted whenever a new debug message is available. This will be emitted only if monitoring has been previously enabled.

Parameters:

  msg | The new debug message.

See also:
  setMonitoringEnabled

## Member Data Documentation

const Feature Tp::DebugReceiver::FeatureCore`[static]`

Feature representing the core that needs to become ready to make the DebugReceiver object usable.

Note that this feature must be enabled in order to use most DebugReceiver methods. See specific methods documentation for more details.

When calling isReady(), becomeReady(), this feature is implicitly added to the requested features.